SensitiveMethod (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## javacardx.security
Annotation Type SensitiveMethod

    @Retention(value=CLASS)
    @Target(value=METHOD)
    @Documented
    public @interface SensitiveMethod

Annotation for specifying the expected security level on a given method of a class.

This annotation allows for specifying a security level expected during the execution of a method. The annotation applies only to the annotated method and is not inherited by methods that may be overriding this method in subclasses.

Note - Be careful that the behavior of this annotation regarding inheritance differs from that of the `SensitiveType` annotation in that it is not tagged with the ``@Inherited`` meta-annotation.

See Runtime Environment Specification for the Java Card Platform, Connected Edition , appendix B for details regarding security annotations.

See Also:
  `SensitivityValue`

Required Element Summary
`SensitivityValue` | `sensitivity` The sensitivity, meaning the security level that is expected on the currently annotated method.

Optional Element Summary
`String` | `proprietaryValue` Additional information that can be used by proprietary tools or platform in order to perform more precise tasks.

Element Detail

### sensitivity

    public abstract SensitivityValue sensitivity

  The sensitivity, meaning the security level that is expected on the currently annotated method.

  Authorized values for this member are:

  `INTEGRITY`
    Tagging a method as sensitive in `INTEGRITY` indicates that consistency of this method is important. If this method's behavior is modified outside the scope of the normal proposed services, it could be detrimental to the application, the application user and/or the application provider.
  `CONFIDENTIALITY`
    Tagging a method as sensitive in `CONFIDENTIALITY` indicates that hiding the data handling by this method from the outside is important. If the data handling by this method is disclosed outside the application, it could be detrimental to the application, the application user and/or the application provider.
  `FULL`
    Tagging a method as `FULL` in sensitivity is equivalent to annotating the method both as sensitive in `INTEGRITY` and in `CONFIDENTIALITY`.

  See Also:
    `SensitivityValue`

### proprietaryValue

    public abstract String proprietaryValue

  Additional information that can be used by proprietary tools or platform in order to perform more precise tasks. This element allows for a platform provider to give its own proprietary information in order to improve its tools processing or VM execution. This information may be ignored when processed for another provider.

  Any string are authorized as value of this member.

  Default:
    ""

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.